Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xmlpatterns
Class QSimpleXmlNodeModel

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xmlpatterns.QAbstractXmlNodeModel
                  com.trolltech.qt.xmlpatterns.QSimpleXmlNodeModel

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public abstract class QSimpleXmlNodeModel

extends QAbstractXmlNodeModel
implements java.lang.Cloneable

The `QSimpleXmlNodeModel` class is an implementation of `QAbstractXmlNodeModel` sufficient for many common cases. Since QAbstractXmlNodeModel::iterate() requires a subclass of QAbstractXmlForwardIterator to be returned for each axis, it can be a bit time consuming to implement. `QSimpleXmlNodeModel` has a default implementation of `nextFromSimpleAxis()` that is sufficient for navigating many abstract XML node models. Behind the scenes, QSimpleXmlNodeModel::iterate()emulates the full `XPath` axes using `nextFromSimpleAxis()`.

`QSimpleXmlNodeModel` also provides default implementations for many other member functions of `QAbstractXmlNodeModel`. These default implementations are suitable for a wide range of abstract XML node models.

Subclasses of `QSimpleXmlNodeModel` must be thread-safe.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.xmlpatterns.QAbstractXmlNodeModel
`QAbstractXmlNodeModel.NodeCopySetting, QAbstractXmlNodeModel.SimpleAxis`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QSimpleXmlNodeModel(QXmlNamePool namePool)` Constructs a `QSimpleXmlNodeModel` for use with with the specified `namePool`.

Method Summary
`QSimpleXmlNodeModel` | `clone()` This method is reimplemented for internal reasons
`static QSimpleXmlNodeModel` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QSimpleXmlNodeModel instance pointed to by `nativePointer`.
`QXmlNamePool` | `namePool()` Returns the name pool that is associated with this model.
`static QNativePointer` | `nativePointerArray(QSimpleXmlNodeModel[] array)` This function returns a QNativePointer that is pointing to the specified QSimpleXmlNodeModel array.

Methods inherited from class com.trolltech.qt.xmlpatterns.QAbstractXmlNodeModel
`attributes, baseUri, compareOrder, createIndex, createIndex, createIndex, createIndex, documentUri, elementById, kind, name, namespaceBindings, nativePointerArray, nextFromSimpleAxis, nodesByIdref, root, stringValue, typedValue`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QSimpleXmlNodeModel

    public QSimpleXmlNodeModel(QXmlNamePool namePool)

  Constructs a `QSimpleXmlNodeModel` for use with with the specified `namePool`.

Method Detail

### fromNativePointer

    public static QSimpleXmlNodeModel fromNativePointer(QNativePointer nativePointer)

  This method returns the QSimpleXmlNodeModel instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QSimpleXmlNodeModel[] array)

  This function returns a QNativePointer that is pointing to the specified QSimpleXmlNodeModel array.

### namePool

    public final QXmlNamePool namePool()

  Returns the name pool that is associated with this model. The implementation of `name()` would use this to create names.

### clone

    public QSimpleXmlNodeModel clone()

  Description copied from class: `QAbstractXmlNodeModel`
  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QAbstractXmlNodeModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD